Subject: Re: [PATCH -mm] ne2: needs more 8390 support functions

From: Andrew Morton <[email-masked]>
Date: Tue, 11 Mar 2008 21:51:10 -0700

On Tue, 11 Mar 2008 09:56:43 -0700 Randy Dunlap <[email-masked]> wrote:

> From: Randy Dunlap <[email-masked]>
> 
> ne2 (MCA) needs both 8390.o and 8390p.o functions:
> 
> drivers/built-in.o: In function `ne_close':
> ne2.c:(.text+0x30544): undefined reference to `eip_close'
> drivers/built-in.o: In function `ne_open':
> ne2.c:(.text+0x30554): undefined reference to `eip_open'
> drivers/built-in.o: In function `ne2_probe':
> (.init.text+0x1bce): undefined reference to `__alloc_eip_netdev'
> drivers/built-in.o: In function `ne2_probe':
> (.init.text+0x1dd9): undefined reference to `eip_interrupt'
> make[1]: *** [.tmp_vmlinux1] Error 1
> 
> Signed-off-by: Randy Dunlap <[email-masked]>
> ---
>  drivers/net/Makefile |    2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> --- linux-2.6.25-rc5-mm1.orig/drivers/net/Makefile
> +++ linux-2.6.25-rc5-mm1/drivers/net/Makefile
> @@ -108,7 +108,7 @@ obj-$(CONFIG_68360_ENET) += 68360enet.o
>  obj-$(CONFIG_WD80x3) += wd.o 8390.o
>  obj-$(CONFIG_EL2) += 3c503.o 8390p.o
>  obj-$(CONFIG_NE2000) += ne.o 8390p.o
> -obj-$(CONFIG_NE2_MCA) += ne2.o 8390.o
> +obj-$(CONFIG_NE2_MCA) += ne2.o 8390.o 8390p.o
>  obj-$(CONFIG_HPLAN) += hp.o 8390p.o
>  obj-$(CONFIG_HPLAN_PLUS) += hp-plus.o 8390p.o
>  obj-$(CONFIG_ULTRA) += smc-ultra.o 8390.o

I have a note here that there's something busted about
8390-split-8390-support-into-a-pausing-and-a-non-pausing-driver-core.patch
but I do not recall what it was.  The details languish in Alan's inbox
somewhere from around February.

I wonder if this was it, and if that was the only bug.